Subject: Re: [PATCH V2] DTC: Remove support for the legacy DTS source file format.

From: Jon Loeliger <[email-masked]>
Date: Fri, 15 Aug 2008 10:44:33 -0500

> On Thu, Aug 14, 2008 at 7:29 PM, David Gibson
> <[email-masked]> wrote:
> > On Thu, Aug 14, 2008 at 06:02:43PM -0500, Jon Loeliger wrote:
> >> Now that all in-kernel-tree DTS files are properly /dts-v1/,
> >> remove direct support for the older, un-numbered DTS
> >> source file format.
> >
> > Um.. why?  I just don't see a compelling reason to remove this
> > backwards compatibility.  It costs us very little to keep it around
> > indefinitely.

Because we are going to get rid of the cruft, simplify things,
and move forward.  Really.  This was the plan from the onset.

> I agree, why are we removing backwards compatibility?  The dts-v1
> format isn't that old, so I'm sure there are plenty of device trees
> out there, especially on our BSPs, that haven't been updated yet.

They can run the conversion tool and be fine.

> How about just printing a warning and saying that the device tree
> should be updated with the conversion tool?

How about all the in-tree DTS files are already V1?

jdl